Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.uat.relesystest.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"fbff4ca0-accf-4c1a-84b9-f9146cd57fe2","userId":"fcc13cbb-8a1a-40c4-994e-3804f7f3299e","userUrl":null,"type":"Angry","creationDateTime":"2026-06-23T17:48:26.4150799+00:00"},{"id":"360402b4-c4dd-4173-b22e-65154a66121c","userId":"769ed41e-e3e0-43d8-a338-2f5f6385a380","userUrl":null,"type":"Like","creationDateTime":"2026-06-23T17:48:26.4150799+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string